Name:           fusor_ovirt
Version:        1.0.1
Release:        1%{?dist}
Summary:        Scripts to interact with oVirt API

Group:          Applications/System
License:        GPLV3+ and ASL 2.0
URL:            https://github.com/fusor/fusor_ovirt
Source0:        %{name}-%{version}.tar.gz

Requires:       ovirt-engine-sdk-python
Requires:       python-paramiko
Requires:       python-crypto
Requires:       python-ecdsa

BuildArch:      noarch

%description
Python scripts to interact with the oVirt API

%prep
%setup -q


%build

%install
install -d -m0755 %{buildroot}%{_datadir}/%{name}/bin
cp bin/*.{py,rb} %{buildroot}%{_datadir}/%{name}/bin

%files
%defattr(755,root,root,-)
%{_datadir}/%{name}/bin
%doc



%changelog
* Thu Aug 11 2016 jesus m. rodriguez <jesusr@redhat.com> 1.0.1-1
- use x.y.z version (#28) (jmrodri@gmail.com)
- switch to VersionTagger (jesusr@redhat.com)

* Mon Aug 01 2016 John Matthews <jwmatthews@gmail.com> 1.0-4
- updated the rhev host check in csv file (johnkim76@gmail.com)
- updates for rhev4 beta integration (johnkim76@gmail.com)

* Fri Jul 22 2016 Jason Montleon <jmontleo@redhat.com> 1.0-3
- Add BuildArch noarch (#26) (jmontleo@redhat.com)

* Mon Jul 18 2016 John Matthews <jwmatthews@gmail.com> 1.0-2
- 1349545 - Added space in error message to remove typo (dymurray@redhat.com)

* Tue May 17 2016 Jason Montleon <jmontleo@redhat.com> 1.0-1
- bump package version to 1.0 (jmontleo@redhat.com)
- Additional datacenter status validations (fabian@fabianism.us)
- update releaser (jmontleo@redhat.com)
- update releaser (jmontleo@redhat.com)

* Mon Mar 07 2016 John Matthews <jwmatthews@gmail.com> 0.1-13
- flake8: unused import (jesusr@redhat.com)
- flake8: line too long (jesusr@redhat.com)
- pep8: remove unused import (jesusr@redhat.com)
- rubocopy: config files (jesusr@redhat.com)
- pylint: Unused import os (jesusr@redhat.com)
- rubocop: Do not use do with multi-line while. (jesusr@redhat.com)
- rubocop: Space missing; Trailing whitespace (jesusr@redhat.com)
- rubocopy: Use ! instead of not. (jesusr@redhat.com)
- rubocop: Use ! instead of not, trailing blank line (jesusr@redhat.com)
- pep8: E265 block comment should start with '# ' (jesusr@redhat.com)
- pep8: E303 too many blank lines (2) (jesusr@redhat.com)
- pep8: E128 continuation line under-indented for visual indent
  (jesusr@redhat.com)
- pep8: W291 trailing whitespace (jesusr@redhat.com)
- pep8: E302 expected 2 blank lines, found 1 (jesusr@redhat.com)
- pep8: E225 missing whitespace around operator (jesusr@redhat.com)

* Tue Mar 01 2016 Jason Montleon <jmontleo@redhat.com> 0.1-12
- run against .py (jesusr@redhat.com)
- fix formatting of README (jesusr@redhat.com)
- add readme with build status (jesusr@redhat.com)
- setup flake8 and pylint (jesusr@redhat.com)

* Wed Dec 16 2015 Jason Montleon <jmontleo@redhat.com> 0.1-11
- Update for csv host list check before adding credentials
  (johnkim76@gmail.com)

* Wed Nov 25 2015 Jason Montleon <jmontleo@redhat.com> 0.1-10
- Add script to add host credentials (johnkim76@gmail.com)
- correct script name (jmontleo@redhat.com)
- copy ruby script over as well (jmontleo@redhat.com)
- Fixes BZ#1255712 - CloudForms webUI password unchanged (jmontleo@redhat.com)
- Add support for --data_center_name (jwmatthews@gmail.com)
- import template: add retries to handle when ova file is not yet ready
  (bbuckingham@redhat.com)
- Remove the packaging of 'example' into the RPM (jwmatthews@gmail.com)
- Added example scripts, may be used to test CFME VM on a RHEV deployment
  (jwmatthews@gmail.com)

* Fri Aug 28 2015 Jason Montleon <jmontleo@redhat.com> 0.1-9
- correct script name (jmontleo@redhat.com)

* Fri Aug 28 2015 Jason Montleon <jmontleo@redhat.com> 0.1-8
- copy ruby script over as well (jmontleo@redhat.com)

* Fri Aug 28 2015 John Matthews <jwmatthews@gmail.com> 0.1-7
- Fixes BZ#1255712 - CloudForms webUI password unchanged (jmontleo@redhat.com)

* Tue Aug 25 2015 John Matthews <jwmatthews@gmail.com> 0.1-6
- Add support for --data_center_name (jwmatthews@gmail.com)

* Thu Aug 20 2015 Jason Montleon <jmontleo@redhat.com> 0.1-5
- import template: add retries to handle when ova file is not yet ready
  (bbuckingham@redhat.com)

* Tue Jun 09 2015 John Matthews <jwmatthews@gmail.com> 0.1-4
- Merge pull request #9 from jwmatthews/import_status_code
  (jwmatthews@gmail.com)
- Merge pull request #10 from jwmatthews/miq_status_codes
  (jwmatthews@gmail.com)
- Added RPM requires for the packages miq_run_appliance_console requires
  (jwmatthews@gmail.com)
- Return an exit code of '1' if paramiko can't be found. (jwmatthews@gmail.com)
- Changed so we return '1' when a failure is seen from a few of the conditions.
  (jwmatthews@gmail.com)

* Mon Jun 08 2015 John Matthews <jwmatthews@gmail.com> 0.1-3
- Added missing "import time" statement (jwmatthews@gmail.com)

* Wed Jun 03 2015 Jason Montleon <jmontleo@redhat.com> 0.1-2
- new package built with tito

* Mon Jun 01 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-1
- Initial packaging


